
proc checkgrains {} {
   global grainmap Grain

   foreach id $Grain() {
      set name $Grain($id:name)
      if {[string length $name]} {
         if {[lsearch -exact $grainmap() $name] >= 0} {
            set Grain($id:name) $grainmap($name)
         }
      }
   }
}

proc mapgrain {old new} {
   global grainmap

   lappend grainmap() "$old" ; set grainmap($old) "$new"

}

mapgrain "2-Row"                        "Briess 2 Row"
mapgrain "6-Row"                        "Briess 6 Row"
mapgrain "Pilsen"                       "Briess Pilsen"
mapgrain "Vienna"                       "Briess Vienna"
mapgrain "Pale Ale"                     "Briess Pale Ale"
mapgrain "Ashburne Mild"                "Briess Ashburne Mild"
mapgrain "BonlanderMunich"              "Briess Bonlander Munich"
mapgrain "Aromatic/Munich"              "Briess Aromatic"
mapgrain "Munich 10L"                   "Briess Munich 10"
mapgrain "Munich 20L"                   "Briess Munich 20"
mapgrain "Smoked Malt"                  "Briess Smoked Malt"
mapgrain "CaraPils Malt"                "Briess CaraPils"
mapgrain "Caramel 10L"                  "Briess Caramel 10"
mapgrain "Caramel 20L"                  "Briess Caramel 20"
mapgrain "Caramel 40L"                  "Briess Caramel 40"
mapgrain "Caramel 60L"                  "Briess Caramel 60"
mapgrain "Caramel 80L"                  "Briess Caramel 80"
mapgrain "Caramel 90L"                  "Briess Caramel 90"
mapgrain "Caramel 120L"                 "Briess Caramel 120"
mapgrain "Cara-Vienne 20L"              "Briess Caramel Vienne 20L"
mapgrain "Cara-Munich 60L"              "Briess Caramel Munich 60L"
mapgrain "Victory"                      "Briess Victory Malt"
mapgrain "Special Roast"                "Briess Special Roast"
mapgrain "Extra Special"                "Briess Extra Special Malt"
mapgrain "Rye"                          "Briess Rye"
mapgrain "Chocolate"                    "Briess Chocolate"
mapgrain "Dark Chocolate"               "Briess Dark Chocolate"
mapgrain "Black Malt"                   "Briess Black Malt"
mapgrain "Roasted Barley"               "Briess Roasted Barley"
mapgrain "Black Barley"                 "Briess Black Barley"
mapgrain "Barley Flakes"                "Briess Barley Flakes"
mapgrain "YellowCornFlakes"             "Briess Yellow Corn Flakes"
mapgrain "Oat Flakes"                   "Briess Oat Flakes"
mapgrain "Rice Flakes"                  "Briess Rice Flakes"
mapgrain "RedWheatFlakes"               "Briess Red Wheat Flakes"
mapgrain "Rye Flakes"                   "Briess Rye Flakes"
mapgrain "Torrified Wheat"              "Briess Torrified Wheat"
mapgrain "Wheat Malt"                   "Briess Wheat"
mapgrain "WhiteWheatMalt"               "Briess Red Wheat"
mapgrain "Red Wheat Malt"               "Briess White Wheat"
mapgrain "Rice Hulls"                   "Briess Rice Hulls"
mapgrain "Gambrinus Honey"              "Gambrinus Honey Malt"
mapgrain "Maris Otter(UK)"              "Crisp Maris Otter"
mapgrain "WeyermannBohemianPls"         "Weyermann Bohemian Pilsner"
mapgrain "WeyermannLightMunich"         "Weyermann Light Munich"
mapgrain "WeyermannDarkMunich"          "Weyermann Dark Munich"
mapgrain "Weyer.CaraMunich I"           "Weyermann CaraMunich I"
mapgrain "Weyer.CaraMunich II"          "Weyermann CaraMunich II"
mapgrain "Weyer.CaraMunich III"         "Weyermann CaraMunich III"
mapgrain "Weyermann Lt Wheat"           "Weyermann Light Wheat"
mapgrain "Weyermann Choc.Wheat"         "Weyermann Chocolate Wheat"
mapgrain "WeyermannDHCarafa 1"          "Weyermann DH Carafa I"
mapgrain "WeyermannDHCarafa 2"          "Weyermann DH Carafa II"
mapgrain "WeyermannDHCarafa 3"          "Weyermann DH Carafa III"
mapgrain "Weyermann Choc. Rye"          "Weyermann Chocolate Rye"
mapgrain "Weyermann Smoked"             "Weyermann Beechwood Smoked"
mapgrain "BriessPilsenLightDME"  "Briess Pilsen Light DME" 
mapgrain "BriessGoldenLightDME"  "Briess Golden Light DME" 
mapgrain "MuntunsExtraLightDME"  "Muntuns Extra Light DME" 
mapgrain "MuntunsLightDME"       "Muntuns Light DME"      
mapgrain "German Pilsner 2-Row" "Franco Belges Pilsen"
mapgrain "Belgian Pils"         "Castle Belgian Pilsner"
mapgrain "Belgian Pale Ale"     "Castle Belgian Pale Ale"
mapgrain "Belgian Munich"       "Castle Belgian Munich"
mapgrain "BelgianAromatic"      "Castle Belgian Aromatic"
mapgrain "Belg. CaraPils"       "Castle Belgian Caramel Pilsner (8)"
mapgrain "Belg.CaraVienne"      "Castle Belgian Caramel Vienne (20)"
mapgrain "Belg.CaraMunich"      "Castle Belgian Caramel Munich (45)"
mapgrain "BelgianSpecialB"      "Castle Belgian Special B"
mapgrain "BelgianChoc."         "Castle Belgian Chocolate"
mapgrain "BelgianBiscuit"       "Castle Belgian Biscuit"
mapgrain "Belgian Wheat"        "Franco Belges Wheat"

