proc getone {fam target min max} {
   set target [expr {round(10000.00*$target)}]
   set s "WWWWWWWWWW"
   for {set i $min} {$i <= $max} {incr i} {
      set result [expr {round(10000.00*[font measure "$fam $i" $s])}]
      set d [expr {abs($target - $result)}]
      set diff($i) $d
      lappend diff() $d
   }
   set smallest [lindex [lsort -integer $diff()] 0]
   set matches [list]
   for {set i $min} {$i <= $max} {incr i} {
      if {$diff($i) == $smallest} { lappend matches $i }
   }
   set idx 0
   foreach i $matches { incr idx $i }
   set match [expr {round(1.00*$idx/[llength $matches])}]
   return $match
}


proc setfonts {} {
   global tiny small med huge

   set tiny [getone helvetica 90 5 12]
   set small [getone helvetica 90  6 16]
   set med [getone helvetica 130 8 18]
   set huge [getone courier 110 10 22]
}


